使用中のルールセット

Moses Skodaエンジニア読了目安 1分

APIはこのエラーを409 Conflictで返します。typeはhttps://lingo.dev/docs/api/errors/ruleset-in-useです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。

ルールセット<id>は、2つのエンジンに適用されているため削除できません。まず、それらのエンジンからルールセットの適用を解除してください。

フィールド#

レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
idstring
engineCountinteger | null

例#

json
{
  "detail": "Ruleset <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
  "id": "<id>",
  "engineCount": 2,
  "type": "https://lingo.dev/docs/api/errors/ruleset-in-use",
  "status": 409,
  "title": "Ruleset in use"
}

このエラーを返すエンドポイント#

  • DELETE /v2/rulesets/{id}